Debian Bug report logs - #657393
RFS: skstream/0.3.6-1 [ITA] -- IOStream C++ socket Library

Package: sponsorship-requests; Maintainer for sponsorship-requests is Debian Mentors <package-sponsorship-requests@lists.debian.org>;

Reported by: stephen.webb@bregmasoft.ca

Date: Wed, 25 Jan 2012 22:42:01 UTC

Owned by: Ansgar Burchardt <ansgar@debian.org>

Severity: normal

Tags: confirmed

Done: Ansgar Burchardt <ansgar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#657393; Package sponsorship-requests. (Wed, 25 Jan 2012 22:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to stephen.webb@bregmasoft.ca:
New Bug report received and forwarded. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Wed, 25 Jan 2012 22:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Stephen M. Webb" <stephen.webb@bregmasoft.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFS: skstream/0.3.6-1 [ITA] -- IOStream C++ socket Library
Date: Wed, 25 Jan 2012 17:39:19 -0500
Package: sponsorship-requests
Severity: normal


Dear mentors,

I am looking for a sponsor for my package "skstream":

  dget -x http://mentors.debian.net/debian/pool/main/s/skstream
/skstream_0.3.8-1.dsc


It builds these binary packages:
 libskstream-0.3-6 - iostream-based C++ socket library
 libskstream-0.3-6-dbg - iostream-based C++ socket library - debugging
symbols
 libskstream-0.3-dev - iostream-based C++ socket library - development
files

  More information about hello can be obtained from
http://www.worldforge.org/

  Changes since the last upload:

 skstream (0.3.8-1) UNRELEASED; urgency=low
 .
   * new maintainer (closes: #653977)
   * new upstream release
   * renamed binary packages due to SONAME change
   * moved to debhelper 8
   * updated Standards-Version to 3.9.2 (no changes required)
   * added debian/symbols file
   * added VCs- fields to debian/control
   * debian/copyright: convert to DEP-5 format

Regards,
Stephen M. Webb  <stephen.webb@bregmasoft.ca>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#657393; Package sponsorship-requests. (Thu, 26 Jan 2012 01:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Tagliamonte <paultag@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Thu, 26 Jan 2012 01:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 657393@bugs.debian.org (full text, mbox):

From: Paul Tagliamonte <paultag@ubuntu.com>
To: stephen.webb@bregmasoft.ca, 657393@bugs.debian.org
Subject: Re: Bug#657393: RFS: skstream/0.3.6-1 [ITA] -- IOStream C++ socket Library
Date: Wed, 25 Jan 2012 20:10:45 -0500
Howdy!

INADD, so I can't sposor

I did try a test-build, and got the following result in a sid pbuilder env --


## ----------- ##
## confdefs.h. ##
## ----------- ##

/* confdefs.h */
#define PACKAGE_NAME "skstream"
#define PACKAGE_TARNAME "skstream"
#define PACKAGE_VERSION "0.3.8"
#define PACKAGE_STRING "skstream 0.3.8"
#define PACKAGE_BUGREPORT "alriddoch@googlemail.com"
#define PACKAGE_URL ""
#define PACKAGE "skstream"
#define VERSION "0.3.8"

configure: exit 1
dh_auto_configure: ./configure --build=i486-linux-gnu --prefix=/usr
--includedir=${prefix}/include --mandir=${prefix}/share/man
--infodir=${prefix}/share/info --sysconfdir=/etc --localstatedir=/var
--libexecdir=${prefix}/lib/skstream --disable-maintainer-mode
--disable-dependency-tracking returned exit code 1
make: *** [build] Error 25
dpkg-buildpackage: error: debian/rules build gave error exit status 2
E: Failed autobuilding of package

I didn't get a chance to look over / test the rest.

Cheers,
Paul


On Wed, Jan 25, 2012 at 5:39 PM, Stephen M. Webb
<stephen.webb@bregmasoft.ca> wrote:
> Package: sponsorship-requests
> Severity: normal
>
>
> Dear mentors,
>
> I am looking for a sponsor for my package "skstream":
>
>  dget -x http://mentors.debian.net/debian/pool/main/s/skstream
> /skstream_0.3.8-1.dsc
>
>
> It builds these binary packages:
>  libskstream-0.3-6 - iostream-based C++ socket library
>  libskstream-0.3-6-dbg - iostream-based C++ socket library - debugging
> symbols
>  libskstream-0.3-dev - iostream-based C++ socket library - development
> files
>
>  More information about hello can be obtained from
> http://www.worldforge.org/
>
>  Changes since the last upload:
>
>  skstream (0.3.8-1) UNRELEASED; urgency=low
>  .
>   * new maintainer (closes: #653977)
>   * new upstream release
>   * renamed binary packages due to SONAME change
>   * moved to debhelper 8
>   * updated Standards-Version to 3.9.2 (no changes required)
>   * added debian/symbols file
>   * added VCs- fields to debian/control
>   * debian/copyright: convert to DEP-5 format
>
> Regards,
> Stephen M. Webb  <stephen.webb@bregmasoft.ca>
>
>
>
> --
> To UNSUBSCRIBE, email to debian-mentors-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/4F208497.3050907@bregmasoft.ca
>



-- 
All programmers are playwrights, and all computers are lousy actors.

#define sizeof(x) rand()
:wq




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#657393; Package sponsorship-requests. (Thu, 26 Jan 2012 01:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Tagliamonte <paultag@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Thu, 26 Jan 2012 01:45:05 GMT) Full text and rfc822 format available.

Message #15 received at 657393@bugs.debian.org (full text, mbox):

From: Paul Tagliamonte <paultag@ubuntu.com>
To: stephen.webb@bregmasoft.ca, 657393@bugs.debian.org
Subject: Re: Bug#657393: RFS: skstream/0.3.6-1 [ITA] -- IOStream C++ socket Library
Date: Wed, 25 Jan 2012 20:41:46 -0500
On a rebuild it worked.

Something odd's going on here.

-T

On Wed, Jan 25, 2012 at 8:10 PM, Paul Tagliamonte <paultag@ubuntu.com> wrote:
> Howdy!
>
> INADD, so I can't sposor
>
> I did try a test-build, and got the following result in a sid pbuilder env --
>
>
> ## ----------- ##
> ## confdefs.h. ##
> ## ----------- ##
>
> /* confdefs.h */
> #define PACKAGE_NAME "skstream"
> #define PACKAGE_TARNAME "skstream"
> #define PACKAGE_VERSION "0.3.8"
> #define PACKAGE_STRING "skstream 0.3.8"
> #define PACKAGE_BUGREPORT "alriddoch@googlemail.com"
> #define PACKAGE_URL ""
> #define PACKAGE "skstream"
> #define VERSION "0.3.8"
>
> configure: exit 1
> dh_auto_configure: ./configure --build=i486-linux-gnu --prefix=/usr
> --includedir=${prefix}/include --mandir=${prefix}/share/man
> --infodir=${prefix}/share/info --sysconfdir=/etc --localstatedir=/var
> --libexecdir=${prefix}/lib/skstream --disable-maintainer-mode
> --disable-dependency-tracking returned exit code 1
> make: *** [build] Error 25
> dpkg-buildpackage: error: debian/rules build gave error exit status 2
> E: Failed autobuilding of package
>
> I didn't get a chance to look over / test the rest.
>
> Cheers,
> Paul
>
>
> On Wed, Jan 25, 2012 at 5:39 PM, Stephen M. Webb
> <stephen.webb@bregmasoft.ca> wrote:
>> Package: sponsorship-requests
>> Severity: normal
>>
>>
>> Dear mentors,
>>
>> I am looking for a sponsor for my package "skstream":
>>
>>  dget -x http://mentors.debian.net/debian/pool/main/s/skstream
>> /skstream_0.3.8-1.dsc
>>
>>
>> It builds these binary packages:
>>  libskstream-0.3-6 - iostream-based C++ socket library
>>  libskstream-0.3-6-dbg - iostream-based C++ socket library - debugging
>> symbols
>>  libskstream-0.3-dev - iostream-based C++ socket library - development
>> files
>>
>>  More information about hello can be obtained from
>> http://www.worldforge.org/
>>
>>  Changes since the last upload:
>>
>>  skstream (0.3.8-1) UNRELEASED; urgency=low
>>  .
>>   * new maintainer (closes: #653977)
>>   * new upstream release
>>   * renamed binary packages due to SONAME change
>>   * moved to debhelper 8
>>   * updated Standards-Version to 3.9.2 (no changes required)
>>   * added debian/symbols file
>>   * added VCs- fields to debian/control
>>   * debian/copyright: convert to DEP-5 format
>>
>> Regards,
>> Stephen M. Webb  <stephen.webb@bregmasoft.ca>
>>
>>
>>
>> --
>> To UNSUBSCRIBE, email to debian-mentors-REQUEST@lists.debian.org
>> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
>> Archive: http://lists.debian.org/4F208497.3050907@bregmasoft.ca
>>
>
>
>
> --
> All programmers are playwrights, and all computers are lousy actors.
>
> #define sizeof(x) rand()
> :wq



-- 
All programmers are playwrights, and all computers are lousy actors.

#define sizeof(x) rand()
:wq




Added indication that 657393 affects src:skstream Request was from "Stephen M. Webb" <stephen.webb@bregmasoft.ca> to control@bugs.debian.org. (Thu, 26 Jan 2012 02:09:03 GMT) Full text and rfc822 format available.

Added indication that bug 657393 blocks 653977 Request was from "Stephen M. Webb" <stephen.webb@bregmasoft.ca> to control@bugs.debian.org. (Thu, 26 Jan 2012 02:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#657393; Package sponsorship-requests. (Thu, 26 Jan 2012 11:52:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Thu, 26 Jan 2012 11:52:27 GMT) Full text and rfc822 format available.

Message #24 received at 657393@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 657393@bugs.debian.org
Subject: Re: Bug#657393: RFS: skstream/0.3.6-1 [ITA] -- IOStream C++ socket Library
Date: Thu, 26 Jan 2012 12:49:01 +0100
* Stephen M. Webb <stephen.webb@bregmasoft.ca>, 2012-01-25, 17:39:
>  dget -x http://mentors.debian.net/debian/pool/main/s/skstream/skstream_0.3.8-1.dsc
[snip]
>  Changes since the last upload:
>
> skstream (0.3.8-1) UNRELEASED; urgency=low
> .
>   * new maintainer (closes: #653977)

This is a bit misleading. It would normally interpret such item as "I 
set myself as Maintainer". But this is not what happened here: you 
set Debian Games Team as maintainer, and added yourself to Uploaders. I 
think this should be written explicitly in the changelog.

Now, I don't know what this package has to do with games, but if DGT 
fold don't mind, meh. (I'm not one of them, which is also a good excuse 
not to sponsor this package. :P)

>   * renamed binary packages due to SONAME change

But here are reverse-dependencies of the old binary package. Which means 
that uploading this to unstable starts a transition. What this discussed 
with the release team? It probably should, even though the number of 
involved packages is small.

That said, the best moment to talk to the release team would be after 
the package has been thoroughly reviewed (thus: not yet).

>   * moved to debhelper 8

What does this mean?

I see that you rewrote debian/rules from scratch, apparently introducing 
regressions... Is that a part of "moved to debhelper 8"?

Does you new d/rules support DEB_BUILD_OPTIONS=noopt like the old one 
did? Are you sure that there are no other regressions?

>   * added debian/symbols file

This looks a bit suspicious. Symbols that exist only on amd64? I 
seriously doubt it...

>   * debian/copyright: convert to DEP-5 format

I see no such changes to debian/copyright in my debdiff.

You converted the package to source format 3.0 (quilt), but this is not 
documented in the changelog.

Why is the patch name 0001-gcc-4.4.patch if the description is "fixes 
compilation errors with GCC **3.3**" (emphasis mine).

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#657393; Package sponsorship-requests. (Thu, 26 Jan 2012 17:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to stephen.webb@bregmasoft.ca:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Thu, 26 Jan 2012 17:09:05 GMT) Full text and rfc822 format available.

Message #29 received at 657393@bugs.debian.org (full text, mbox):

From: "Stephen M. Webb" <stephen.webb@bregmasoft.ca>
To: 657393@bugs.debian.org
Subject: Bug#657393: RFS: skstream/0.3.6-1 [ITA] -- IOStream C++ socket Library
Date: Thu, 26 Jan 2012 12:05:22 -0500
On 01/26/2012 06:49 AM, Jakub Wilk wrote:
>> . * new maintainer (closes: #653977)
> 
> This is a bit misleading. It would normally interpret such item as
> "I set myself as Maintainer". But this is not what happened here:
> you set Debian Games Team as maintainer, and added yourself to
> Uploaders. I think this should be written explicitly in the
> changelog.

Fair enough.  Modified.

>> * renamed binary packages due to SONAME change
> 
> But here are reverse-dependencies of the old binary package. Which
> means that uploading this to unstable starts a transition. What
> this discussed with the release team? It probably should, even
> though the number of involved packages is small.
> 
> That said, the best moment to talk to the release team would be
> after the package has been thoroughly reviewed (thus: not yet).

The old and new library packages are parallel-installable.  I consider
this a feature, since the library is a part of an MMORPG stack, and I
anticipate a newer client app revision getting in to Debian long
before a new server app, so the coexistence of both old and new
SONAMEs will be required, at least for a little while.

But, as you say, this will need to be discussed with the release team
after this package (and other upgraded packages in the stack) has been
thoroughly reviewed.

>> * moved to debhelper 8
> 
> What does this mean?

It means converted to use the dh sequencer from a hand-rolled
debian/rules script.  I have adjusted the debian/changelog wording to
reflect this.

> I see that you rewrote debian/rules from scratch, apparently
> introducing regressions... Is that a part of "moved to debhelper
> 8"?
> 
> Does you new d/rules support DEB_BUILD_OPTIONS=noopt like the old
> one did? Are you sure that there are no other regressions?

I have the greatest confidence that the dh sequencer support Debian
policy much better than the previous hand-rolled debian/rules script.

I have confirmed that the new debian/rules does indeed support
DEB_BUILD_OPTIONS=noopt and DEB_BUILD_OPTIONS=nostrip.  It is true
that if you build with the noopt option you will get warnings about
the ABI changing.  That is a feature, since a changed ABI can cause
hard-to-find runtime misbehaviour and at least a build-time warning
should be issued.  Most packages handle this by silently ignoring the
ABI change.  I can modify the debian/rules to not issue the warning if
that's the preferred Debian way.

I would appreciate an explicit list of any apparent regressions, since
they aren't apparent to me from the build logs or runtime testing of
the package.

>> * added debian/symbols file
> 
> This looks a bit suspicious. Symbols that exist only on amd64? I 
> seriously doubt it...

Right, I loosened the symbols file so it should not fail on arches I
have not tested on.  Since the symbol differences were all the result
of arch-specific std::size_t, this should not in fact cause unintended
side effects.  Fixed.

>> * debian/copyright: convert to DEP-5 format
> 
> I see no such changes to debian/copyright in my debdiff.

Oooh, workflow problems.  I grabbed a newer changelog than the one on
mentors.d.n to attach to the RFS.  Well, taken care of now by
including the debian/copyright change.

> You converted the package to source format 3.0 (quilt), but this is
> not documented in the changelog.

Gah, don't know how I missed that one. Fixed.

> Why is the patch name 0001-gcc-4.4.patch if the description is
> "fixes compilation errors with GCC **3.3**" (emphasis mine).

Typo.  The "3" and "4" keys are too close together on the keyboard.
Fixed.

I have made the above documented changes and uploaded a new source
package to mentors.debian.net.  It can be obtained from here:

dget -x
http://mentors.debian.net/debian/pool/main/s/skstream/skstream_0.3.8-1.dsc

Here is the new changelog.

 skstream (0.3.8-1) unstable; urgency=low
 .
   * new maintainer: Debian games team (closes: #653977)
     - added myself as uploader
   * new upstream release
   * renamed binary packages due to SONAME change
   * converted packaging to use dh sequencer
   * converted packaging to 3.0 (quilt) format
   * updated Standards-Version to 3.9.2 (no changes required)
   * added debian/symbols file
   * added VCS- fields to debian/control
   * debian/copyright: convert to DEP-5 format

-- 
Stephen M. Webb  <stephen.webb@bregmasoft.ca>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#657393; Package sponsorship-requests. (Fri, 27 Jan 2012 18:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Fri, 27 Jan 2012 18:48:03 GMT) Full text and rfc822 format available.

Message #34 received at 657393@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 657393@bugs.debian.org
Subject: Re: Bug#657393: RFS: skstream/0.3.6-1 [ITA] -- IOStream C++ socket Library
Date: Fri, 27 Jan 2012 19:45:49 +0100
* Stephen M. Webb <stephen.webb@bregmasoft.ca>, 2012-01-26, 12:05:
>>>* renamed binary packages due to SONAME change
>>
>>But here are reverse-dependencies of the old binary package. Which 
>>means that uploading this to unstable starts a transition. What this 
>>discussed with the release team? It probably should, even though the 
>>number of involved packages is small.
>>
>>That said, the best moment to talk to the release team would be after 
>>the package has been thoroughly reviewed (thus: not yet).
>
>The old and new library packages are parallel-installable.
>I consider this a feature,

Right, this is a property of every respectable shared library.

>since the library is a part of an MMORPG stack, and I anticipate a 
>newer client app revision getting in to Debian long before a new server 
>app, so the coexistence of both old and new SONAMEs will be required, 
>at least for a little while.

Could elaborate more of this? What is "client app" and "server app" in 
this context?

Please bear in mind that having multiple versions of the same source 
package in a single suite is not really a desired state.

As far as unstable is concerned, you don't have control over when the 
old package will be removed. While I think ftp-masters usually wait 
until the old version don't have rdepeds anymore, they can also do it 
whenever they see fit (possibly rendering not-yet-rebuilt packages 
uninstallable).

Until very recently, it wasn't even possible (unless some dirty hacks 
were involved) to keep multiple versions of a library in testing. It's 
doable now, but such a state certainly doesn't make the Release Team 
happy.

>But, as you say, this will need to be discussed with the release team 
>after this package (and other upgraded packages in the stack) has been 
>thoroughly reviewed.

Great.

>>Does you new d/rules support DEB_BUILD_OPTIONS=noopt like the old one 
>>did? Are you sure that there are no other regressions?
>
>I have the greatest confidence that the dh sequencer support Debian 
>policy much better than the previous hand-rolled debian/rules script.
>
>I have confirmed that the new debian/rules does indeed support 
>DEB_BUILD_OPTIONS=noopt and DEB_BUILD_OPTIONS=nostrip.

Did you build in unstable? I just did (with DEB_BUILD_OPTIONS=noopt), 
and saw this in the build log:

/bin/bash ../libtool --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H   -I.. -I..   -g -O2 -Wall -DNDEBUG -c -o sksocket.lo sksocket.cpp

>I would appreciate an explicit list of any apparent regressions, since 
>they aren't apparent to me from the build logs or runtime testing of 
>the package.

I didn't have anything specific in mind (except noopt support). Looking 
at old debian/rules there are some things that dh certainly doesn't do:
- setting LDFLAGS=-lstdc++;
- passing --disable-debug to configure.
Maybe these were no-ops or simply wrong. Maybe not. I didn't check. :)


Now some things I didn't catch in my initial review:

The package descriptions were modified, but this is not documented in 
the changelog.

The .orig.tar is compressed with bz2, but uscan would download a 
.tar.gz. I see the upstream provides bzip2ed tarballs too, so it should 
be a matter of fixing debian/watch.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#657393; Package sponsorship-requests. (Fri, 27 Jan 2012 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to stephen.webb@bregmasoft.ca:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Fri, 27 Jan 2012 23:24:03 GMT) Full text and rfc822 format available.

Message #39 received at 657393@bugs.debian.org (full text, mbox):

From: "Stephen M. Webb" <stephen.webb@bregmasoft.ca>
To: 657393@bugs.debian.org
Subject: Bug#657393: RFS: skstream/0.3.6-1 [ITA] -- IOStream C++ socket Library
Date: Fri, 27 Jan 2012 18:20:26 -0500
On 01/27/2012 01:45 PM, Jakub Wilk wrote:
> * Stephen M. Webb <stephen.webb@bregmasoft.ca>, 2012-01-26, 12:05:
> 
>> since the library is a part of an MMORPG stack, and I anticipate a
>> newer client app revision getting in to Debian long before a new
>> server app, so the coexistence of both old and new SONAMEs will be
>> required, at least for a little while.
> 
> Could elaborate more of this? What is "client app" and "server app" in
> this context?

The MMORPG server and client both use this library.  While both are
actively developed upstream, the server has been removed from Debian
because it has been unmaintained for too long and will require going
through the ITP process (I believe, please correct me if I'm wrong).
The client has merely been orphaned, and I currently have an ITA on it.

The server package is still available in derivates (like Ubuntu) as a
binary package and will continue to depend on the older libraries until
a newer upstream is available.  Mean time, the newer client is
wire-protocol compatible with older servers, so it's more important to
focus on that.

> Please bear in mind that having multiple versions of the same source
> package in a single suite is not really a desired state.
> 
> As far as unstable is concerned, you don't have control over when the
> old package will be removed. While I think ftp-masters usually wait
> until the old version don't have rdepeds anymore, they can also do it
> whenever they see fit (possibly rendering not-yet-rebuilt packages
> uninstallable).
> 
> Until very recently, it wasn't even possible (unless some dirty hacks
> were involved) to keep multiple versions of a library in testing. It's
> doable now, but such a state certainly doesn't make the Release Team happy.

Assuming the remaining packages in the WorldForge stack get uploaded, it
does not matter to me that the older libraries are available.  I am just
starting at the bottom of the dependency stack wit this package.

> Did you build in unstable? I just did (with DEB_BUILD_OPTIONS=noopt),
> and saw this in the build log:
> 
> /bin/bash ../libtool --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H  
> -I.. -I..   -g -O2 -Wall -DNDEBUG -c -o sksocket.lo sksocket.cpp

OK, this is the famous noppt bug in dh.  Fixed by bumping up to compat
level 9.  Seems someone changed the default behind my back while I
wasn't looking.  Unfortunately this bump pulls in the magic of
multi-arch, but fortunately that does not harm and dependent packages
continue to build OK.

>> I would appreciate an explicit list of any apparent regressions, since
>> they aren't apparent to me from the build logs or runtime testing of
>> the package.
> 
> I didn't have anything specific in mind (except noopt support). Looking
> at old debian/rules there are some things that dh certainly doesn't do:
> - setting LDFLAGS=-lstdc++;
> - passing --disable-debug to configure.
> Maybe these were no-ops or simply wrong. Maybe not. I didn't check. :)

The GCC c++ compiler links with its library now, since version 3.0.  The
default config is --disable-default.  Yes, these are noops.

> Now some things I didn't catch in my initial review:
> 
> The package descriptions were modified, but this is not documented in
> the changelog.

Nice catch.  Remediated.

> The .orig.tar is compressed with bz2, but uscan would download a
> .tar.gz. I see the upstream provides bzip2ed tarballs too, so it should
> be a matter of fixing debian/watch.

OK, done.

New package uploaded to
http://mentors.debian.net/debian/pool/main/s/skstream/skstream_0.3.8-1.dsc

Changes:
 skstream (0.3.8-1) unstable; urgency=low
 .
   * new maintainer: Debian games team (closes: #653977)
     - added myself as uploader
   * new upstream release
   * changed package description (iostream, not isostream)
   * renamed binary packages due to SONAME change
   * converted packaging to use dh sequenceer
   * converted packaging to 3.0 (quilt) format
   * updated Standards-Version to 3.9.2 (no changes required)
   * added debian/symbols file
   * added VCs- fields to debian/control
   * debian/copyright: convert to DEP-5 format
   * debian/compat: set to compatibility level 9
   * debian/rules: add --with autoreconf to regenerate autoconfigury
   * debian/control: tweaked for multi-arch

-- 
Stephen M. Webb  <stephen.webb@bregmasoft.ca>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#657393; Package sponsorship-requests. (Fri, 27 Jan 2012 23:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Tagliamonte <paultag@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Fri, 27 Jan 2012 23:42:03 GMT) Full text and rfc822 format available.

Message #44 received at 657393@bugs.debian.org (full text, mbox):

From: Paul Tagliamonte <paultag@ubuntu.com>
To: stephen.webb@bregmasoft.ca, 657393@bugs.debian.org
Subject: Re: Bug#657393: RFS: skstream/0.3.6-1 [ITA] -- IOStream C++ socket Library
Date: Fri, 27 Jan 2012 18:39:04 -0500
On Fri, Jan 27, 2012 at 6:20 PM, Stephen M. Webb
<stephen.webb@bregmasoft.ca> wrote:
> On 01/27/2012 01:45 PM, Jakub Wilk wrote:
>> * Stephen M. Webb <stephen.webb@bregmasoft.ca>, 2012-01-26, 12:05:
>>
>>> since the library is a part of an MMORPG stack, and I anticipate a
>>> newer client app revision getting in to Debian long before a new
>>> server app, so the coexistence of both old and new SONAMEs will be
>>> required, at least for a little while.
>>
>> Could elaborate more of this? What is "client app" and "server app" in
>> this context?
>
> The MMORPG server and client both use this library.  While both are
> actively developed upstream, the server has been removed from Debian
> because it has been unmaintained for too long and will require going
> through the ITP process (I believe, please correct me if I'm wrong).
> The client has merely been orphaned, and I currently have an ITA on it.
>
> The server package is still available in derivates (like Ubuntu) as a

If a package has been removed in Debian, don't count on Ubuntu keeping
it around :)

It's after the part in the cycle where we sync with Debian, so it'll
be in the next release (unless someone removes it, which is not out of
the question), but not the next.

*If* it was removed in Debian. I've not checked on any of this.

> binary package and will continue to depend on the older libraries until
> a newer upstream is available.  Mean time, the newer client is
> wire-protocol compatible with older servers, so it's more important to
> focus on that.
>
>> Please bear in mind that having multiple versions of the same source
>> package in a single suite is not really a desired state.
>>
>> As far as unstable is concerned, you don't have control over when the
>> old package will be removed. While I think ftp-masters usually wait
>> until the old version don't have rdepeds anymore, they can also do it
>> whenever they see fit (possibly rendering not-yet-rebuilt packages
>> uninstallable).
>>
>> Until very recently, it wasn't even possible (unless some dirty hacks
>> were involved) to keep multiple versions of a library in testing. It's
>> doable now, but such a state certainly doesn't make the Release Team happy.
>
> Assuming the remaining packages in the WorldForge stack get uploaded, it
> does not matter to me that the older libraries are available.  I am just
> starting at the bottom of the dependency stack wit this package.
>
>> Did you build in unstable? I just did (with DEB_BUILD_OPTIONS=noopt),
>> and saw this in the build log:
>>
>> /bin/bash ../libtool --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H
>> -I.. -I..   -g -O2 -Wall -DNDEBUG -c -o sksocket.lo sksocket.cpp
>
> OK, this is the famous noppt bug in dh.  Fixed by bumping up to compat
> level 9.  Seems someone changed the default behind my back while I
> wasn't looking.  Unfortunately this bump pulls in the magic of
> multi-arch, but fortunately that does not harm and dependent packages
> continue to build OK.
>
>>> I would appreciate an explicit list of any apparent regressions, since
>>> they aren't apparent to me from the build logs or runtime testing of
>>> the package.
>>
>> I didn't have anything specific in mind (except noopt support). Looking
>> at old debian/rules there are some things that dh certainly doesn't do:
>> - setting LDFLAGS=-lstdc++;
>> - passing --disable-debug to configure.
>> Maybe these were no-ops or simply wrong. Maybe not. I didn't check. :)
>
> The GCC c++ compiler links with its library now, since version 3.0.  The
> default config is --disable-default.  Yes, these are noops.
>
>> Now some things I didn't catch in my initial review:
>>
>> The package descriptions were modified, but this is not documented in
>> the changelog.
>
> Nice catch.  Remediated.
>
>> The .orig.tar is compressed with bz2, but uscan would download a
>> .tar.gz. I see the upstream provides bzip2ed tarballs too, so it should
>> be a matter of fixing debian/watch.
>
> OK, done.
>
> New package uploaded to
> http://mentors.debian.net/debian/pool/main/s/skstream/skstream_0.3.8-1.dsc
>
> Changes:
>  skstream (0.3.8-1) unstable; urgency=low
>  .
>   * new maintainer: Debian games team (closes: #653977)
>     - added myself as uploader
>   * new upstream release
>   * changed package description (iostream, not isostream)
>   * renamed binary packages due to SONAME change
>   * converted packaging to use dh sequenceer
>   * converted packaging to 3.0 (quilt) format
>   * updated Standards-Version to 3.9.2 (no changes required)
>   * added debian/symbols file
>   * added VCs- fields to debian/control
>   * debian/copyright: convert to DEP-5 format
>   * debian/compat: set to compatibility level 9
>   * debian/rules: add --with autoreconf to regenerate autoconfigury
>   * debian/control: tweaked for multi-arch
>
> --
> Stephen M. Webb  <stephen.webb@bregmasoft.ca>
>
>
>
> --
> To UNSUBSCRIBE, email to debian-mentors-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/4F23313A.6020401@bregmasoft.ca
>



-- 
All programmers are playwrights, and all computers are lousy actors.

#define sizeof(x) rand()
:wq




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#657393; Package sponsorship-requests. (Sat, 28 Jan 2012 00:12:15 GMT) Full text and rfc822 format available.

Message #47 received at 657393@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 657393@bugs.debian.org
Subject: Re: Bug#657393: RFS: skstream/0.3.6-1 [ITA] -- IOStream C++ socket Library
Date: Sat, 28 Jan 2012 01:09:51 +0100
* Stephen M. Webb <stephen.webb@bregmasoft.ca>, 2012-01-27, 18:20:
>   * debian/rules: add --with autoreconf to regenerate autoconfigury

A typo, though I'm not sure which word you had in mind. :P

>   * debian/control: tweaked for multi-arch

Could you be more explicit about how it was tweaked?

BTW, you could add "Multi-Arch: same" field to all 3 packages, so that 
there's an actual benefit from installing stuff into multi-arch 
directories. :)

I see test failures in my build log:

| make  check-TESTS
| make[3]: Entering directory `/build/skstream-hivd_N/skstream-0.3.8/test'
| ...........F.F.F.........F
|
|
| !!!FAILURES!!!
| Test Results:
| Run:  22   Failures: 4   Errors: 0
|
|
| 1) test: tcpskstreamtest::testConstructor_2 (F) line: 141 childskstreamtest.h
| assertion failed
| - Expression: sks->is_open()
| - Check that echo service is running on local machine
|
|
| 2) test: tcpskstreamtest::testOpen (F) line: 160 childskstreamtest.h
| assertion failed
| - Expression: skstream->is_open()
| - Check that echo service is running on local machine
|
|
| 3) test: tcpskstreamtest::testOpenNonblock (F) line: 189 childskstreamtest.h
| assertion failed
| - Expression: skstream->is_open()
|
|
| 4) test: rawskstreamtest::testConstructor_1 (F) line: 262 childskstreamtest.h
| assertion failed
| - Expression: skstream.is_open()
| - Raw only works on GNU/Linux and you must be root
|
|
| PASS: skstreamtestrunner
| =============
| 1 test passed
| =============

...but then the build process continues. :/

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#657393; Package sponsorship-requests. (Sat, 28 Jan 2012 22:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sat, 28 Jan 2012 22:51:05 GMT) Full text and rfc822 format available.

Message #52 received at 657393@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 657393@bugs.debian.org
Subject: Re: Bug#657393: RFS: skstream/0.3.6-1 [ITA] -- IOStream C++ socket Library
Date: Sat, 28 Jan 2012 23:49:14 +0100
* Stephen M. Webb <stephen.webb@bregmasoft.ca>, 2012-01-27, 21:26:
>>>   * debian/rules: add --with autoreconf to regenerate autoconfigury
>>A typo, though I'm not sure which word you had in mind. :P
>I don't see the typo. I added "--with autoreconf" to regenerate the 
>autoconfigury (config.guess, config.sub, aclocal.m4, ltmain.sh, 
>libtools, etc).

Hmm. Maybe the word "autoconfigury" exists, but it's certainly the first 
time I see it.

Also, according to minechangelogs, this word doesn't exist in any 
changelog amongst packages in the archive.

I'd rewrite this sentence as: "... to regenerate autotools files".

>Do you suggest it's better to go whole-enchilada multi-arch?

I think it's a low-hanging fruit, but I'm surely not going to force it 
upon you.

>>I see test failures in my build log:
>
>Me too. The tests rely on manually configuring the OS is a specific, 
>non-standard way.  Should I just disable the test targets during the 
>build to reduce the noise?

All right, most of the failure have reasonable explanation (either they 
require echo service running or root privileges). But what about:

test: tcpskstreamtest::testOpenNonblock (F) line: 189 childskstreamtest.h

?

More importantly, since the build process succeeded, does it mean that 
_any_ build failure would be ignored.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#657393; Package sponsorship-requests. (Sun, 05 Feb 2012 14:57:03 GMT) Full text and rfc822 format available.

Message #55 received at 657393@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: stephen.webb@bregmasoft.ca
Cc: 657393@bugs.debian.org
Subject: Re: Bug#657393: RFS: skstream/0.3.6-1 [ITA] -- IOStream C++ socket Library
Date: Sun, 05 Feb 2012 15:55:19 +0100
tag 657393 + confirmed
thanks

Hi,

"Stephen M. Webb" <stephen.webb@bregmasoft.ca> writes:
> I am looking for a sponsor for my package "skstream":
>
>   dget -x http://mentors.debian.net/debian/pool/main/s/skstream
> /skstream_0.3.8-1.dsc

Are the additional includes from the 0001-gcc-4.4.patch still necessary?
At least the two .cpp files now already #include <cstring> so there is
no need to add an additional #include <string.h>.  I did not check if
the last #include is still needed.

Could you add the Multi-Arch fields as suggested by Jakub Wilk in an
earlier mail?

Regards,
Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#657393; Package sponsorship-requests. (Sun, 05 Feb 2012 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to stephen.webb@bregmasoft.ca:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sun, 05 Feb 2012 16:27:03 GMT) Full text and rfc822 format available.

Message #60 received at 657393@bugs.debian.org (full text, mbox):

From: "Stephen M. Webb" <stephen.webb@bregmasoft.ca>
To: 657393@bugs.debian.org
Subject: Bug#657393: RFS: skstream/0.3.6-1 [ITA] -- IOStream C++ socket Library
Date: Sun, 05 Feb 2012 11:21:00 -0500
On 02/05/2012 09:55 AM, Ansgar Burchardt wrote:
> "Stephen M. Webb" <stephen.webb@bregmasoft.ca> writes:
>> I am looking for a sponsor for my package "skstream":
>>
>>   dget -x http://mentors.debian.net/debian/pool/main/s/skstream
>> /skstream_0.3.8-1.dsc
> 
> Are the additional includes from the 0001-gcc-4.4.patch still necessary?
> At least the two .cpp files now already #include <cstring> so there is
> no need to add an additional #include <string.h>.  I did not check if
> the last #include is still needed.
> 
> Could you add the Multi-Arch fields as suggested by Jakub Wilk in an
> earlier mail?

The patch was no longer required.  All patches have now been removed.

I added the Multi-Arch fields as suggested.

I have uploaded a new source package to mentors.debian.net (same URL as
above).


-- 
Stephen M. Webb  <stephen.webb@bregmasoft.ca>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#657393; Package sponsorship-requests. (Mon, 06 Feb 2012 10:39:03 GMT) Full text and rfc822 format available.

Message #63 received at 657393@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: stephen.webb@bregmasoft.ca
Cc: 657393@bugs.debian.org
Subject: Re: Bug#657393: RFS: skstream/0.3.6-1 [ITA] -- IOStream C++ socket Library
Date: Mon, 06 Feb 2012 11:37:43 +0100
"Stephen M. Webb" <stephen.webb@bregmasoft.ca> writes:
>>> I am looking for a sponsor for my package "skstream":
>>>
>>>   dget -x http://mentors.debian.net/debian/pool/main/s/skstream
>>> /skstream_0.3.8-1.dsc
[...]
> I have uploaded a new source package to mentors.debian.net (same URL as
> above).

I found two remaining small things:

The package descriptions for the -dev and -dbg package different from
the runtime library (the first paragraph each).

The part of the -dbg package description about fiddling with
LD_LIBRARY_PATH is also wrong, gdb should automatically pick up
debugging symbols from /usr/lob/debug.  I would also leave away the last
sentence there.

Regards,
Ansgar




Added tag(s) confirmed. Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Mon, 06 Feb 2012 10:48:20 GMT) Full text and rfc822 format available.

Owner recorded as Ansgar Burchardt <ansgar@debian.org>. Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Mon, 06 Feb 2012 10:48:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>, Ansgar Burchardt <ansgar@debian.org>:
Bug#657393; Package sponsorship-requests. (Mon, 06 Feb 2012 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to stephen.webb@bregmasoft.ca:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>, Ansgar Burchardt <ansgar@debian.org>. (Mon, 06 Feb 2012 17:09:03 GMT) Full text and rfc822 format available.

Message #72 received at 657393@bugs.debian.org (full text, mbox):

From: "Stephen M. Webb" <stephen.webb@bregmasoft.ca>
To: 657393@bugs.debian.org
Subject: Bug#657393: RFS: skstream/0.3.6-1 [ITA] -- IOStream C++ socket Library
Date: Mon, 06 Feb 2012 12:06:24 -0500
On 02/06/2012 05:37 AM, Ansgar Burchardt wrote:
> "Stephen M. Webb" <stephen.webb@bregmasoft.ca> writes:
> 
> The package descriptions for the -dev and -dbg package different from
> the runtime library (the first paragraph each).
> 
> The part of the -dbg package description about fiddling with
> LD_LIBRARY_PATH is also wrong, gdb should automatically pick up
> debugging symbols from /usr/lob/debug.  I would also leave away the last
> sentence there.

I have modified the binary package descriptions for consistency and to
remove the unnecessary text from the -dbg package, and uploaded a new
source package to mentors.debian.net.






Reply sent to Ansgar Burchardt <ansgar@debian.org>:
You have taken responsibility. (Mon, 06 Feb 2012 17:45:13 GMT) Full text and rfc822 format available.

Notification sent to stephen.webb@bregmasoft.ca:
Bug acknowledged by developer. (Mon, 06 Feb 2012 17:45:14 GMT) Full text and rfc822 format available.

Message #77 received at 657393-done@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: 657393-done@bugs.debian.org
Subject: Re: Bug#657393: RFS: skstream/0.3.6-1 [ITA] -- IOStream C++ socket Library
Date: Mon, 06 Feb 2012 18:42:33 +0100
Hi,

"Stephen M. Webb" <stephen.webb@bregmasoft.ca> writes:
> I have modified the binary package descriptions for consistency and to
> remove the unnecessary text from the -dbg package, and uploaded a new
> source package to mentors.debian.net.

I uploaded the package, but noticed a typo in the changelog that you
might want to fix: sequenceer -> sequencer

Regards,
Ansgar




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 Mar 2012 07:41:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:14:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.